- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannParaCntrl5_2_1::ProblemSpecs Class Reference

`#include <MittelmannParaCntrl.hpp>`

List of all members.

## Public Member Functions
| ProblemSpecs ()
Number | T ()
Number | l ()
Number | lb_y ()
Number | ub_y ()
Number | lb_u ()
Number | ub_u ()
Number | alpha ()
Number | beta ()
Number | y_T (Number x)
Number | a (Number x)
Number | a_y (Number t)
Number | a_u (Number t)
Number | b (Number t)
Number | phi (Number y)
Number | phi_dy (Number y)
Number | phi_dydy (Number y)
bool | phi_dydy_always_zero ()

## Detailed Description

Definition at line 729 of file MittelmannParaCntrl.hpp.

## Constructor & Destructor Documentation

MittelmannParaCntrl5_2_1::ProblemSpecs::ProblemSpecs | ( |  | ) | `[inline]`

Definition at line 732 of file MittelmannParaCntrl.hpp.

## Member Function Documentation

Number MittelmannParaCntrl5_2_1::ProblemSpecs::T | ( |  | ) | `[inline]`

Definition at line 734 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::l | ( |  | ) | `[inline]`

Definition at line 738 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::lb_y | ( |  | ) | `[inline]`

Definition at line 742 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::ub_y | ( |  | ) | `[inline]`

Definition at line 746 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::lb_u | ( |  | ) | `[inline]`

Definition at line 750 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::ub_u | ( |  | ) | `[inline]`

Definition at line 754 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::alpha | ( |  | ) | `[inline]`

Definition at line 758 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::beta | ( |  | ) | `[inline]`

Definition at line 762 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::y_T | ( | Number | x | ) | `[inline]`

Definition at line 766 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::a | ( | Number | x | ) | `[inline]`

Definition at line 770 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::a_y | ( | Number | t | ) | `[inline]`

Definition at line 774 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::a_u | ( | Number | t | ) | `[inline]`

Definition at line 778 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::b | ( | Number | t | ) | `[inline]`

Definition at line 782 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::phi | ( | Number | y | ) | `[inline]`

Definition at line 786 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::phi_dy | ( | Number | y | ) | `[inline]`

Definition at line 790 of file MittelmannParaCntrl.hpp.

Number MittelmannParaCntrl5_2_1::ProblemSpecs::phi_dydy | ( | Number | y | ) | `[inline]`

Definition at line 794 of file MittelmannParaCntrl.hpp.

References DBG_ASSERT.

bool MittelmannParaCntrl5_2_1::ProblemSpecs::phi_dydy_always_zero | ( |  | ) | `[inline]`

Definition at line 799 of file MittelmannParaCntrl.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/examples/ScalableProblems/MittelmannParaCntrl.hpp